#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x67c21061, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x83ae0bdb, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xc740b76b, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x8477ba0d, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xfba33723, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28c0fed2, "crypto_aead_decrypt" },
	{ 0x36f3292d, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfdb80cbd, "crypto_unregister_aeads" },
	{ 0x8790d93a, "cryptd_skcipher_child" },
	{ 0x1b905685, "crypto_skcipher_decrypt" },
	{ 0x6f8d012e, "cryptd_alloc_skcipher" },
	{ 0x88a3893c, "crypto_aead_setkey" },
	{ 0xc929c30d, "crypto_register_skcipher" },
	{ 0x8d19497, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x28d72ba1, "cryptd_aead_queued" },
	{ 0xbb5c2d7f, "crypto_unregister_skcipher" },
	{ 0xebe6c805, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45485f9f, "cryptd_skcipher_queued" },
	{ 0x3ac44dc3, "cryptd_free_aead" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x4c5b745d, "crypto_unregister_skciphers" },
	{ 0x408e12fb, "cryptd_free_skcipher" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xad561d9b, "crypto_skcipher_encrypt" },
	{ 0xba3276f5, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdef3be22, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x3ff7c436, "crypto_register_aead" },
	{ 0xc0e558c, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x83dbcd6, "crypto_register_aeads" },
	{ 0x7bb6d1d8, "pcpu_hot" },
	{ 0xdc64ae1c, "crypto_aead_setauthsize" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");
