#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xb501b8eb, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x80f79b11, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xebe5be1e, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xcf2202a8, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xc84f4331, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xae613e64, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xa20d43ed, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x26e18138, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x092ffdec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7f6935e, "__dynamic_dev_dbg" },
	{ 0xc26dcce4, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1f354770, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc467268d, "usb_submit_urb" },
	{ 0x8448ea6e, "_dev_info" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x5fcb1443, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x394479ce, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x1d066200, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x34a594aa, "rc_register_device" },
	{ 0x9b747d3b, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa72dcee8, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x80865c58, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe26f992, "dvb_frontend_detach" },
	{ 0xdc0b8b60, "i2c_add_adapter" },
	{ 0xeaf1836a, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x44a26dc8, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbf9c58a2, "dvb_unregister_frontend" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x323c3372, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca5536f2, "__media_device_usb_init" },
	{ 0xa8dc17ba, "dvb_frontend_resume" },
	{ 0x69aea7d2, "dvb_register_frontend" },
	{ 0x36234453, "dvb_frontend_suspend" },
	{ 0xd69ba3bd, "dvb_create_media_graph" },
	{ 0xb6a1ed3a, "dvb_unregister_adapter" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x781cf562, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x55e4410b, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c00e97, "dvb_dmxdev_init" },
	{ 0x5c87dbf4, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd559bd89, "media_device_unregister" },
	{ 0x164cf717, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5611d8e2, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f82ceb6, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");
