#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x9e8ffe1a, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x80c71e73, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x0f6a7f76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x5c7afae1, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3fdff9d, "ocelot_port_pre_bridge_flags" },
	{ 0x9ee38ad9, "ocelot_port_del_dscp_prio" },
	{ 0x4e0e34e0, "ocelot_mrp_del_ring_role" },
	{ 0xc53688eb, "ocelot_sb_tc_pool_bind_set" },
	{ 0x76a3c4ac, "dsa_fdb_present_in_other_db" },
	{ 0xd0a526e5, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa8a6578, "dsa_mdb_present_in_other_db" },
	{ 0x5f38cda8, "ocelot_vcap_filter_add" },
	{ 0x89318fe9, "ocelot_sb_port_pool_get" },
	{ 0x3101d1ad, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x9c3471b9, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xcff55202, "ocelot_port_inject_frame" },
	{ 0x8327b11, "dev_err_probe" },
	{ 0xb2c44aec, "ocelot_mrp_add" },
	{ 0x3cad406b, "ocelot_sb_occ_port_pool_get" },
	{ 0xc581f1ae, "ocelot_sb_pool_set" },
	{ 0xd809b298, "ocelot_lag_fdb_del" },
	{ 0xf5d5e3b1, "ocelot_vcap_filter_del" },
	{ 0x28df5d6c, "ocelot_cls_flower_stats" },
	{ 0xca1719c5, "ocelot_lock_inj_grp" },
	{ 0xe6a3e95d, "ocelot_lock_xtr_grp_bh" },
	{ 0x961cee4b, "ocelot_sb_pool_get" },
	{ 0x78148a20, "ocelot_lock_xtr_grp" },
	{ 0x7aaf18c3, "ocelot_phylink_mac_link_up" },
	{ 0xaae7144f, "ocelot_deinit_port" },
	{ 0x20f34e26, "ocelot_can_inject" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0x4d63afd9, "ocelot_port_mirror_add" },
	{ 0xc1cf6cf2, "ocelot_fdb_dump" },
	{ 0xde2679ad, "ocelot_vlan_prepare" },
	{ 0x5495cc2e, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x196b8d3, "ocelot_set_ageing_time" },
	{ 0x99495ad6, "__ocelot_rmw_ix" },
	{ 0xb9c0948e, "devm_kmalloc" },
	{ 0x52abc77f, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50bd9bb7, "ocelot_port_policer_del" },
	{ 0x75e96b09, "ocelot_port_lag_change" },
	{ 0xa17e6615, "consume_skb" },
	{ 0x65905092, "ocelot_port_policer_add" },
	{ 0x6550b8f9, "ocelot_port_mdb_add" },
	{ 0xd5c2f9b3, "ocelot_vlan_add" },
	{ 0xddb0be62, "ocelot_sb_tc_pool_bind_get" },
	{ 0x309867b0, "ocelot_port_bridge_flags" },
	{ 0x505b14af, "ocelot_devlink_sb_unregister" },
	{ 0xbd319de9, "ocelot_port_bridge_leave" },
	{ 0xa1cc9fc0, "ocelot_port_set_maxlen" },
	{ 0x44dffd1a, "ocelot_vcap_filter_replace" },
	{ 0x55377d19, "ocelot_get_max_mtu" },
	{ 0x1b0d2c91, "regmap_fields_update_bits_base" },
	{ 0x86dea725, "ocelot_sb_occ_snapshot" },
	{ 0x5e78ffe6, "ocelot_get_ts_info" },
	{ 0xa61d2521, "ocelot_sb_occ_max_clear" },
	{ 0xe1fb4994, "ocelot_port_get_mm" },
	{ 0xcc9ee7fb, "ocelot_ptp_gettime64" },
	{ 0x62a6b500, "ocelot_unlock_inj_grp" },
	{ 0x1cd8e34e, "ocelot_get_strings" },
	{ 0xb3a0ca4a, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xe29a9900, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xcf13cda1, "ocelot_unlock_xtr_grp_bh" },
	{ 0x4168da1d, "ocelot_port_add_dscp_prio" },
	{ 0x19297a17, "ocelot_drain_cpu_queue" },
	{ 0x7cfc405f, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xefc29f2a, "__ocelot_read_ix" },
	{ 0xdeef1c17, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcfc23963, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2087523e, "ocelot_get_sset_count" },
	{ 0xd42d17fd, "ocelot_migrate_mdbs" },
	{ 0x56d56acb, "ocelot_hwstamp_get" },
	{ 0x63c972c9, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41e5aa35, "ocelot_port_bridge_join" },
	{ 0xa3c068df, "ocelot_fdb_add" },
	{ 0x8940a8ba, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x29367d34, "ocelot_xtr_poll_frame" },
	{ 0xdda4956a, "ocelot_port_get_default_prio" },
	{ 0xe322b8b9, "ptp_classify_raw" },
	{ 0x85bcf7a2, "ocelot_port_set_default_prio" },
	{ 0xce5e08cd, "dsa_tag_8021q_register" },
	{ 0x521e4fb5, "ocelot_port_get_mm_stats" },
	{ 0xf5b77eea, "ocelot_deinit" },
	{ 0x1d066200, "_dev_err" },
	{ 0x589a1748, "ocelot_vlan_del" },
	{ 0xbc70d2ec, "sk_skb_reason_drop" },
	{ 0xc5b7585d, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf77aabe5, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x63887a8a, "ocelot_cls_flower_destroy" },
	{ 0x22b836eb, "ocelot_port_vlan_filtering" },
	{ 0xa85c41b7, "ocelot_port_get_rmon_stats" },
	{ 0xc95d6478, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x525b897b, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x47856177, "ocelot_bridge_stp_state_set" },
	{ 0x72a45c6d, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ac744a, "netif_rx" },
	{ 0x4d5bc2ca, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xdcf48473, "ocelot_fdb_del" },
	{ 0x60eece59, "ocelot_phylink_mac_link_down" },
	{ 0x74a4ff2b, "ocelot_port_lag_join" },
	{ 0xcdac78e, "ocelot_port_get_eth_phy_stats" },
	{ 0x97459c8f, "ocelot_port_lag_leave" },
	{ 0x29ec760a, "ocelot_mrp_add_ring_role" },
	{ 0x2438430b, "ocelot_port_set_mm" },
	{ 0x624aa49a, "ocelot_deinit_timestamp" },
	{ 0xc4f44e12, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd4fe863, "ocelot_port_get_stats64" },
	{ 0x1861137d, "ocelot_port_get_dscp_prio" },
	{ 0x1191dd1c, "ocelot_port_mdb_del" },
	{ 0x7dce9865, "ocelot_port_get_eth_mac_stats" },
	{ 0x7450b4a4, "ocelot_mact_flush" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");
