#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_set, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0x160eb06d, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0x0719babc, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x593c2594, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmidev_block_set, 0x36737ee2, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0x33c30ffe, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x624a8627, "");
SYMBOL_CRC(wmi_driver_unregister, 0x8dd55114, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d0d3e6, "class_register" },
	{ 0xa50b6ab1, "bus_register" },
	{ 0x88e17de5, "__platform_driver_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x58afe94f, "bus_unregister" },
	{ 0x14b7354, "class_unregister" },
	{ 0x6ba8e03d, "device_for_each_child_reverse" },
	{ 0xa4373869, "device_unregister" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x8427c5ab, "device_for_each_child" },
	{ 0x37a0cba, "kfree" },
	{ 0xefbbb09d, "platform_driver_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53b954a2, "up_read" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x7dd6b053, "_dev_warn" },
	{ 0x9167d004, "is_acpi_device_node" },
	{ 0x908b1648, "device_create" },
	{ 0x20a3fd66, "__devm_add_action" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x47bf4205, "dev_set_name" },
	{ 0x7886b7c, "device_initialize" },
	{ 0xb3d9d8d8, "device_link_add" },
	{ 0xa8132f42, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa2507d12, "bus_for_each_dev" },
	{ 0x1d066200, "_dev_err" },
	{ 0x8448ea6e, "_dev_info" },
	{ 0x37cd9ee5, "put_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x28d49e0d, "bus_find_device" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5506238e, "driver_set_override" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x761087bd, "driver_register" },
	{ 0x51e2c594, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "92DF45813822CE12E36920A");
