#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xd47c0d5d, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x5222a678, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x7a114e82, "_gpl");
SYMBOL_CRC(fat_scan, 0xb08f7538, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x579480c0, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x637b86dc, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x54c19684, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x289fde90, "_gpl");
SYMBOL_CRC(fat_getattr, 0xc0c8aa8b, "_gpl");
SYMBOL_CRC(fat_setattr, 0x92a657fd, "_gpl");
SYMBOL_CRC(fat_attach, 0x32bb9e77, "_gpl");
SYMBOL_CRC(fat_detach, 0xf7606b7e, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x2e5686fc, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x83e449c4, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x7c39c07f, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xf80716cd, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xbff0fd91, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x46f8f58b, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xc477d6cd, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x1366d256, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xbba2a235, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x981cff95, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x4cf47fb7, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xb6e6a88b, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xb1b3238c, "_gpl");
SYMBOL_CRC(fat_update_time, 0x0919dfe9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd090b736, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x21814730, "block_invalidate_folio" },
	{ 0xc020b883, "__breadahead" },
	{ 0x85fe7fc5, "generic_write_end" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d4c78a6, "load_nls" },
	{ 0xccf54b74, "generic_cont_expand_simple" },
	{ 0xe9945011, "truncate_inode_pages_final" },
	{ 0x2a0c55b6, "generic_file_mmap" },
	{ 0xbccc4549, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdd266d9b, "const_pcpu_hot" },
	{ 0x737fc901, "ilookup" },
	{ 0x9725bd76, "invalidate_inode_buffers" },
	{ 0x2e9ce3b7, "blk_finish_plug" },
	{ 0x6feea78b, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2e62b6d4, "mnt_drop_write_file" },
	{ 0xd9a6ab02, "fs_param_is_gid" },
	{ 0xaa809516, "inode_init_once" },
	{ 0x30525672, "compat_ptr_ioctl" },
	{ 0x6142287c, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4ed3566a, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x54067f0b, "generic_file_read_iter" },
	{ 0xe1104610, "inode_maybe_inc_iversion" },
	{ 0xc539899d, "truncate_pagecache" },
	{ 0xa13e652e, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41bcaffa, "setattr_copy" },
	{ 0x973a6d6a, "__wait_on_buffer" },
	{ 0xf2549c7f, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xe561c728, "kmem_cache_alloc_lru_noprof" },
	{ 0xb60849c1, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x43c3902f, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb27c8fdf, "from_vfsgid" },
	{ 0x6a4f977e, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x852358fb, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x960d0e6b, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x45d2bfdb, "block_dirty_folio" },
	{ 0xef32da3f, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xe325d36e, "__insert_inode_hash" },
	{ 0xe83e6924, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2fc968a0, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb7cbf979, "__kmem_cache_create_args" },
	{ 0x96b32dc6, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x6af7dced, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x658a2eed, "generic_encode_ino32_fh" },
	{ 0x2f3396, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6bbe74d6, "igrab" },
	{ 0x360430d8, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe903d090, "mpage_readahead" },
	{ 0xf7cdffb9, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x7c0a51c3, "init_user_ns" },
	{ 0x56216ecf, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0xbaa4c95b, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x4aedb3c7, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7c1d015b, "blkdev_issue_flush" },
	{ 0x4d825fa1, "generic_fh_to_parent" },
	{ 0x84fb9f2b, "__fs_parse" },
	{ 0x66ee9ac3, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa69f63af, "from_kuid_munged" },
	{ 0xec243e21, "__generic_file_fsync" },
	{ 0x31adc53d, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb55192fa, "__mark_inode_dirty" },
	{ 0x1853aace, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7950ac92, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xb0ead7a, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xda463add, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xdd503b15, "inode_set_ctime_to_ts" },
	{ 0x23b63416, "fs_param_is_uid" },
	{ 0x48184496, "kmem_cache_destroy" },
	{ 0xe31db25a, "blkdev_issue_discard" },
	{ 0xb10f6348, "filemap_fdatawrite" },
	{ 0xe0678f79, "generic_fillattr" },
	{ 0x6b7a1f61, "setattr_prepare" },
	{ 0xf9c8a722, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb785b8b1, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x62bda4a2, "make_vfsgid" },
	{ 0x63394082, "blk_start_plug" },
	{ 0x6496759d, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xede42798, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xf87d89d5, "fs_param_is_string" },
	{ 0x3f32d698, "new_inode" },
	{ 0x37a1a665, "mark_buffer_dirty" },
	{ 0xb4b78ced, "security_inode_setattr" },
	{ 0xaf7a8346, "__find_get_block" },
	{ 0xead6cdb6, "filemap_fdatawrite_range" },
	{ 0xd30c9b43, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa5741787, "__blockdev_direct_IO" },
	{ 0xcf1f8bc2, "d_make_root" },
	{ 0xd0bdbc08, "__bforget" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf11a7658, "sb_set_blocksize" },
	{ 0xd0b8d760, "block_truncate_page" },
	{ 0x33b07008, "write_dirty_buffer" },
	{ 0x8042699f, "sync_filesystem" },
	{ 0x3c3fcbed, "fsnotify" },
	{ 0x6f7e0352, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ebdf1ef, "from_vfsuid" },
	{ 0x42c3a066, "inode_dio_wait" },
	{ 0x959a6acd, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x2464dda4, "cont_write_begin" },
	{ 0x51a22814, "iput" },
	{ 0xb89f9b14, "fs_param_is_enum" },
	{ 0x8b173a7e, "fs_param_is_s32" },
	{ 0x47f793c2, "iter_file_splice_write" },
	{ 0xbaa93786, "fs_param_is_bool" },
	{ 0x7720b120, "generic_file_write_iter" },
	{ 0x77d4d499, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1624da25, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xae7c65a2, "fs_param_is_u32" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");
