#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xf0466189, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x5e007a39, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf9cb4a14, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x480fa75e, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x5c1d7d4e, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xc6d47357, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xd56fdcee, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x2e823114, "");
SYMBOL_CRC(ip_vs_conn_put, 0xa0e618dc, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x4b6c2636, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x0bd67357, "");
SYMBOL_CRC(register_ip_vs_app, 0x51a65c25, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xf4802570, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xc1f935d4, "");
SYMBOL_CRC(ip_vs_proto_get, 0x258d73c1, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xf5c3980c, "");
SYMBOL_CRC(register_ip_vs_pe, 0xcaae827c, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x3c9e4ff9, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xb59e3dc8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x176b47e8, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x10b527e7, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x63dafb76, "skb_push" },
	{ 0xb60849c1, "kmem_cache_free" },
	{ 0xe44d871b, "set_cpus_allowed_ptr" },
	{ 0x9ec11fe7, "seq_putc" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x174ea9c4, "nf_ct_expect_alloc" },
	{ 0x21dac0f6, "skb_ensure_writable" },
	{ 0xfc4b6529, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1ccd7514, "ip_mc_join_group" },
	{ 0xe2bfa78d, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ade8cd2, "ns_capable" },
	{ 0x603cbf96, "nf_unregister_net_hooks" },
	{ 0x74df6ad4, "inet_select_addr" },
	{ 0x5579176e, "unregister_pernet_device" },
	{ 0x48d716df, "lock_sock_nested" },
	{ 0x13e968ee, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7b0643b7, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc647f35d, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf04e5f8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x26b95363, "kernel_connect" },
	{ 0x67b3638, "skb_checksum" },
	{ 0x518fafb6, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2fc968a0, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a4b9aca, "__pskb_pull_tail" },
	{ 0x1665def6, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb7cbf979, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe220c6d2, "skb_trim" },
	{ 0x1bdbb0af, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc825e6d1, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x17a7ea48, "nf_ct_deliver_cached_events" },
	{ 0xba9d9d0d, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5fedee49, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2ddc3d70, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbf42096c, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x53cbdeb, "skb_set_owner_w" },
	{ 0xa06b152a, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x44a2e600, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c0a51c3, "init_user_ns" },
	{ 0x34d337c6, "nf_ct_expect_init" },
	{ 0x56216ecf, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc4522abc, "remove_proc_entry" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbaa4c95b, "seq_printf" },
	{ 0x1e0d3af6, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2c746df1, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4c7fea35, "ipv4_update_pmtu" },
	{ 0x5be64bb9, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf66b34a5, "dst_release" },
	{ 0x7497c757, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x5ed84ec6, "ip_local_out" },
	{ 0xf77a95a7, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x23c51d33, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x781cf562, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8a23db75, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fc21f7, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf8211198, "nf_ct_netns_put" },
	{ 0xa04e5f16, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x48184496, "kmem_cache_destroy" },
	{ 0x7222c513, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xd3907a52, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xf25420b4, "nf_conntrack_find_get" },
	{ 0x6e74c797, "try_module_get" },
	{ 0x3907ee18, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4e015b05, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x96e36ebb, "skb_copy_bits" },
	{ 0x446db27e, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xa17e6615, "consume_skb" },
	{ 0x11a4a1d, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xe7cd14d4, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x258e1b55, "nf_register_sockopt" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc3a5e1ed, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2be5a7ed, "kernel_bind" },
	{ 0x35d8419, "set_user_nice" },
	{ 0x9da62ff3, "genlmsg_put" },
	{ 0x783ea18a, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x205d09e9, "ip6_output" },
	{ 0xe391378, "ip6_route_me_harder" },
	{ 0x7bb6d1d8, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xae0f5b58, "__module_get" },
	{ 0xf1ace22a, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x14740bbc, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf7bf75c, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x99bda6bc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x378cb73f, "pskb_expand_head" },
	{ 0xfa33ad80, "register_pernet_subsys" },
	{ 0x5f14a7c, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x63053b42, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x38bb4643, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x78470f3e, "nf_register_net_hooks" },
	{ 0x84ba34f8, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xc0382b0f, "__alloc_skb" },
	{ 0xdd266d9b, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x404078c0, "ipv6_sock_mc_join" },
	{ 0xcd90d527, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x5bc81bce, "ipv6_dev_get_saddr" },
	{ 0x228e6df, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5b9825dc, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9ef2583c, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc70d2ec, "sk_skb_reason_drop" },
	{ 0x78b05d85, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "A518A2F328FC69D168FA835");
