#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69eb3151, "devm_iio_device_alloc" },
	{ 0xdbbdf68b, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb7f6935e, "__dynamic_dev_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x60fb5ad0, "devm_request_threaded_irq" },
	{ 0xc881498e, "iio_device_id" },
	{ 0xbb97ac57, "__devm_iio_trigger_alloc" },
	{ 0x20208006, "iio_trigger_register" },
	{ 0x2d22e74e, "get_device" },
	{ 0xae0f5b58, "__module_get" },
	{ 0x8327b11, "dev_err_probe" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x1bfa5332, "iio_triggered_buffer_setup_ext" },
	{ 0x9a1f7019, "pm_runtime_enable" },
	{ 0x80340a34, "pm_runtime_set_autosuspend_delay" },
	{ 0x7f8441e6, "__pm_runtime_use_autosuspend" },
	{ 0x39524ee2, "__iio_device_register" },
	{ 0xfd2de9d7, "iio_read_acpi_mount_matrix" },
	{ 0x4cee4ae6, "iio_read_mount_matrix" },
	{ 0x9167d004, "is_acpi_device_node" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2295449, "iio_get_acpi_device_name_and_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe29fd9c1, "iio_buffer_enabled" },
	{ 0xcf48b64b, "i2c_smbus_read_word_data" },
	{ 0x1455965b, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x5b1464ea, "iio_push_to_buffers" },
	{ 0x7bc47623, "iio_trigger_notify_done" },
	{ 0xb5f1df8a, "iio_show_mount_matrix" },
	{ 0x38fb10f9, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97a40d73, "i2c_register_driver" },
	{ 0x2d044381, "i2c_smbus_read_byte_data" },
	{ 0x1d066200, "_dev_err" },
	{ 0x44ef7b11, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x531fc8e9, "iio_device_unregister" },
	{ 0xc6ab33f2, "__pm_runtime_disable" },
	{ 0xc8e01bf, "__pm_runtime_set_status" },
	{ 0x129055b0, "iio_triggered_buffer_cleanup" },
	{ 0x74eebc9f, "iio_trigger_unregister" },
	{ 0x7490b810, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf0d76e24, "__pm_runtime_suspend" },
	{ 0xf0a36900, "iio_push_event" },
	{ 0x44040e72, "iio_get_time_ns" },
	{ 0xf26a0f9, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f2d98ab, "i2c_del_driver" },
	{ 0xe25e1c5b, "i2c_client_get_device_id" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:SMO8500:*");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");

MODULE_INFO(srcversion, "85D679FB78B6C8111046BDE");
