#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x2b505c12, "");
SYMBOL_CRC(cx88_querycap, 0xb58b7134, "");
SYMBOL_CRC(cx88_enum_input, 0xfdeea38a, "");
SYMBOL_CRC(cx88_set_freq, 0x0d2fc659, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xc830ce2d, "cx88_ir_stop" },
	{ 0x68f68581, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27876769, "video_devdata" },
	{ 0x91b0db9f, "cx88_set_tvnorm" },
	{ 0x5ee0796b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xb23f0053, "v4l2_ctrl_find" },
	{ 0xbeeaef7b, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc8258761, "__v4l2_ctrl_s_ctrl" },
	{ 0xf7d33984, "vb2_plane_cookie" },
	{ 0xc9cf01c7, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1b3b9a28, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe2a74b53, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77c9a74a, "cx88_set_stereo" },
	{ 0xa1fc550, "vb2_buffer_done" },
	{ 0x689ca9b9, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd3d823, "video_unregister_device" },
	{ 0x7b0643b7, "kthread_stop" },
	{ 0xb9b2dcc4, "i2c_new_client_device" },
	{ 0x478ad4b4, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x61df7c42, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x64c0cbfe, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x6a4d5d8f, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x751d0956, "vb2_fop_read" },
	{ 0xdeb2a226, "cx88_sram_channel_dump" },
	{ 0xc825e6d1, "kthread_create_on_node" },
	{ 0x74daaa9c, "cx88_sram_channel_setup" },
	{ 0x86b65d3b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x99c6fc53, "__video_register_device" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x2945a74e, "vb2_ioctl_streamon" },
	{ 0x554cf0fd, "vb2_fop_poll" },
	{ 0x54f72373, "v4l2_ctrl_new_std" },
	{ 0xf63fa6ab, "pci_disable_device" },
	{ 0x6ad82854, "dma_set_mask" },
	{ 0xd009d7f7, "v4l2_i2c_new_subdev" },
	{ 0x6dd66830, "pci_read_config_byte" },
	{ 0x781cf562, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd11213eb, "cx88_newstation" },
	{ 0x744c255d, "v4l2_event_unsubscribe" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3c78484a, "vb2_ioctl_reqbufs" },
	{ 0x6de2f86d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb7ec59be, "vb2_dma_sg_memops" },
	{ 0xb43b4534, "cx88_reset" },
	{ 0x30b3bd74, "v4l2_ctrl_poll" },
	{ 0xa5584f26, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4e12e65a, "cx88_wakeup" },
	{ 0xe38f0aad, "pci_enable_device" },
	{ 0xcd3cf729, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x2d7c0c6, "v4l2_ctrl_add_handler" },
	{ 0xf3329403, "v4l2_i2c_new_subdev_board" },
	{ 0x85c1a4f, "cx88_set_scale" },
	{ 0x9283b5ee, "__pci_register_driver" },
	{ 0x9df9ef78, "cx88_shutdown" },
	{ 0xe0c145a3, "cx88_vdev_init" },
	{ 0x9443c48f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xef939f12, "vb2_ioctl_querybuf" },
	{ 0x745931cd, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe636ede6, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x64b4ed0f, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x65ba3a32, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f14a7c, "wake_up_process" },
	{ 0x7b676617, "cx88_core_get" },
	{ 0xf4cc8083, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");
