#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xaf6443f6, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x1b3b9a28, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x2623806d, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x74daaa9c, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xdeb2a226, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x64b4ed0f, "");
SYMBOL_CRC(cx88_wakeup, 0x4e12e65a, "");
SYMBOL_CRC(cx88_shutdown, 0x9df9ef78, "");
SYMBOL_CRC(cx88_reset, 0xb43b4534, "");
SYMBOL_CRC(cx88_set_scale, 0x085c1a4f, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x91b0db9f, "");
SYMBOL_CRC(cx88_vdev_init, 0xe0c145a3, "");
SYMBOL_CRC(cx88_core_get, 0x7b676617, "");
SYMBOL_CRC(cx88_core_put, 0x745931cd, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x6a4d5d8f, "");
SYMBOL_CRC(cx88_newstation, 0xd11213eb, "");
SYMBOL_CRC(cx88_get_stereo, 0xf4cc8083, "");
SYMBOL_CRC(cx88_set_stereo, 0x77c9a74a, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xa9988035, "");
SYMBOL_CRC(cx88_ir_start, 0xbeeaef7b, "");
SYMBOL_CRC(cx88_ir_stop, 0xc830ce2d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xcc9491e, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xc1171c86, "i2c_smbus_xfer" },
	{ 0xdd266d9b, "const_pcpu_hot" },
	{ 0x5fcb1443, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa1186cd5, "rc_keyup" },
	{ 0x712cd57e, "__v4l2_ctrl_grab" },
	{ 0xe3e16531, "i2c_unregister_device" },
	{ 0xab9c9a2f, "tveeprom_read" },
	{ 0x7a1271d8, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x34a594aa, "rc_register_device" },
	{ 0x51a72bd9, "dma_alloc_attrs" },
	{ 0xf1c1a9f5, "rc_keydown" },
	{ 0xa1fc550, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb9b2dcc4, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x63f0f132, "freezing_slow_path" },
	{ 0x80865c58, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24059a0c, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x44a26dc8, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa1c7f72, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x8131d38c, "v4l2_ctrl_handler_free" },
	{ 0x92005e29, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x1659963e, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xd009d7f7, "v4l2_i2c_new_subdev" },
	{ 0x6dd66830, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x781cf562, "param_ops_int" },
	{ 0xde4edd2d, "ir_raw_event_store_with_filter" },
	{ 0x2d044381, "i2c_smbus_read_byte_data" },
	{ 0x9c4f8f74, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x55e4410b, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2d9f67c9, "ir_raw_event_handle" },
	{ 0xbd092f08, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf14d9d4, "i2c_bit_add_bus" },
	{ 0xb894e431, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9443c48f, "param_array_ops" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");
