#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xe50ab3c2, "");
SYMBOL_CRC(gspca_dev_probe2, 0xe5b68c5c, "");
SYMBOL_CRC(gspca_dev_probe, 0x14bc0f77, "");
SYMBOL_CRC(gspca_disconnect, 0x435b1977, "");
SYMBOL_CRC(gspca_suspend, 0xd930b09f, "");
SYMBOL_CRC(gspca_resume, 0x7dfee129, "");
SYMBOL_CRC(gspca_expo_autogain, 0x9b21463a, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xe4f6293c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc467268d, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc8258761, "__v4l2_ctrl_s_ctrl" },
	{ 0xc9cf01c7, "vb2_ioctl_dqbuf" },
	{ 0x1fa8416d, "usb_free_coherent" },
	{ 0xaf1bd32c, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa1fc550, "vb2_buffer_done" },
	{ 0x79230a2d, "vb2_plane_vaddr" },
	{ 0x689ca9b9, "v4l2_ctrl_subscribe_event" },
	{ 0xc453e9e9, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd3d823, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x478ad4b4, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x61df7c42, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x55b308ef, "vb2_vmalloc_memops" },
	{ 0x867d0f56, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x751d0956, "vb2_fop_read" },
	{ 0x24059a0c, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x99c6fc53, "__video_register_device" },
	{ 0x323c3372, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2945a74e, "vb2_ioctl_streamon" },
	{ 0x554cf0fd, "vb2_fop_poll" },
	{ 0xd068572, "v4l2_ctrl_g_ctrl" },
	{ 0x8131d38c, "v4l2_ctrl_handler_free" },
	{ 0x1659963e, "v4l2_device_unregister" },
	{ 0x781cf562, "param_ops_int" },
	{ 0x9c4f8f74, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x744c255d, "v4l2_event_unsubscribe" },
	{ 0x3c78484a, "vb2_ioctl_reqbufs" },
	{ 0x6de2f86d, "vb2_queue_init" },
	{ 0x50f38f01, "input_allocate_device" },
	{ 0x5c87dbf4, "usb_alloc_urb" },
	{ 0xa5584f26, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x164cf717, "usb_free_urb" },
	{ 0x2f92abcb, "v4l2_device_put" },
	{ 0xcd3cf729, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44600c35, "usb_alloc_coherent" },
	{ 0x4cc0047c, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92b05268, "usb_ifnum_to_if" },
	{ 0xe2392878, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xef939f12, "vb2_ioctl_querybuf" },
	{ 0xe636ede6, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30ee811, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8dcad3e, "usb_clear_halt" },
	{ 0x68f68581, "v4l2_ctrl_handler_setup" },
	{ 0xf4531b33, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27876769, "video_devdata" },
	{ 0xa8bba876, "vb2_queue_error" },
	{ 0x5ee0796b, "vb2_fop_release" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");
