#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x22a6f4c7, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xf028bfb1, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x585d5856, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xd7c37769, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x2c80fe9a, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xc54e9190, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x76510b58, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xc6a2d2b2, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x2933558c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf25d5e8c, "unregister_candev" },
	{ 0x7b7eb703, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x56e20bb2, "devm_clk_get" },
	{ 0x7490b810, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xe3432537, "netif_tx_wake_queue" },
	{ 0xfe307db0, "netif_schedule_queue" },
	{ 0x777eb1c4, "__pm_runtime_idle" },
	{ 0xc5998bad, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x47edbb5f, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x98ba6164, "netdev_warn" },
	{ 0x575f0a9b, "phy_power_on" },
	{ 0x3140a58c, "open_candev" },
	{ 0x4d9941ea, "napi_enable" },
	{ 0x67f67943, "phy_power_off" },
	{ 0x285373e3, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x88870b6, "napi_disable" },
	{ 0xa631b064, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc70d2ec, "sk_skb_reason_drop" },
	{ 0xd947c599, "can_dropped_invalid_skb" },
	{ 0xe7b7ccc2, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x31d0c046, "netdev_printk" },
	{ 0x30abe811, "pinctrl_pm_select_default_state" },
	{ 0x1a54c22d, "netif_device_attach" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x7b15506e, "register_candev" },
	{ 0xb9c0948e, "devm_kmalloc" },
	{ 0x64f25441, "can_rx_offload_add_manual" },
	{ 0x210be142, "netif_napi_add_weight" },
	{ 0x8448ea6e, "_dev_info" },
	{ 0xfab5fc84, "alloc_can_err_skb" },
	{ 0xd1d2b514, "can_rx_offload_queue_timestamp" },
	{ 0xd866857e, "netif_receive_skb" },
	{ 0x591d1f20, "__dynamic_netdev_dbg" },
	{ 0xf67e9549, "pinctrl_pm_select_sleep_state" },
	{ 0xcf5c207d, "netif_device_detach" },
	{ 0x57029c45, "can_bus_off" },
	{ 0xc944e453, "alloc_canfd_skb" },
	{ 0xf243c637, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xc87d747a, "napi_complete_done" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x721ccb30, "napi_schedule_prep" },
	{ 0xff628d52, "can_rx_offload_threaded_irq_finish" },
	{ 0x6be95923, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xd66c9464, "ethtool_op_get_ts_info" },
	{ 0x7c07a080, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d066200, "_dev_err" },
	{ 0xe64acf5c, "__dev_fwnode" },
	{ 0x25d2ef57, "fwnode_property_read_u32_array" },
	{ 0x40991418, "alloc_candev_mqs" },
	{ 0xb7f6935e, "__dynamic_dev_dbg" },
	{ 0x20111052, "free_candev" },
	{ 0xce7fe72c, "netdev_err" },
	{ 0x8e6fc4ce, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xc0c98a84, "can_get_echo_skb" },
	{ 0x270b09e, "can_free_echo_skb" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "A31F3D2BDF5FCF4078FA737");
