#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xfda1a5fe, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x18725b1c, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x692e55de, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x683f031e, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xb8410b5a, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x19e5199f, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xfabbde60, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x55fa8e41, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x2434dfea, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xb7bdda39, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xcb2be074, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x731cd439, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x858d04a8, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x98a1922e, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x9f4106dc, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xaf6d7058, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e8a0c69, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1d066200, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbca6277e, "usb_anchor_urb" },
	{ 0xc467268d, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xec95eb22, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x5c87dbf4, "usb_alloc_urb" },
	{ 0x164cf717, "usb_free_urb" },
	{ 0x4db444db, "rt2x00lib_dmastart" },
	{ 0xd964082d, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7b302fe, "__skb_pad" },
	{ 0x7dd6b053, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39ea39ef, "rt2x00queue_for_each_entry" },
	{ 0x323c3372, "usb_kill_urb" },
	{ 0x402cf684, "rt2x00queue_get_entry" },
	{ 0xf135cfe5, "rt2x00queue_stop_queue" },
	{ 0x91d4ae41, "rt2x00queue_flush_queue" },
	{ 0x35d62cfa, "rt2x00queue_start_queue" },
	{ 0x192d8e3d, "rt2x00lib_txdone_noinfo" },
	{ 0x110864bb, "rt2x00lib_rxdone" },
	{ 0x7cb7168f, "rt2x00lib_suspend" },
	{ 0x10625e86, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb340bff7, "rt2x00lib_remove_dev" },
	{ 0xd91c88fa, "ieee80211_free_hw" },
	{ 0xb7176d44, "usb_put_dev" },
	{ 0x651db51b, "usb_get_dev" },
	{ 0xe1271ff2, "usb_reset_device" },
	{ 0x2579e631, "ieee80211_alloc_hw_nm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb9c0948e, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6cb38fe0, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D2A2A50C33680A6EF957E9C");
