#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0x2d9ab364, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0x9e1a7fa5, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0x6ebed62b, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0xf80dff0e, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfb7ce66, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x37cd9ee5, "put_device" },
	{ 0xa2507d12, "bus_for_each_dev" },
	{ 0xcd90d527, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x58afe94f, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1d066200, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x28d49e0d, "bus_find_device" },
	{ 0xa8132f42, "device_add" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x655bd2c8, "debugfs_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x156c0354, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xdaa1fa1e, "seq_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x56216ecf, "seq_write" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbaa4c95b, "seq_printf" },
	{ 0xd6516ea0, "debugfs_create_file_full" },
	{ 0x4e535688, "device_match_any" },
	{ 0xccf984b1, "seq_open" },
	{ 0x20a3fd66, "__devm_add_action" },
	{ 0x53b954a2, "up_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe64acf5c, "__dev_fwnode" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xa50b6ab1, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e74c797, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x47bf4205, "dev_set_name" },
	{ 0xb64cca55, "seq_release" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x7886b7c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xedcca4e7, "seq_lseek" },
	{ 0x2d22e74e, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");
