#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x030206a9, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xa11f9703, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xe863f07e, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x87caf143, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x8ef0f062, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x28f7e108, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x441c599c, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x630558e8, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x5b4e15c1, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x62712ebc, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x305d0a38, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xe79e4bff, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x0255cdbe, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x265fbc8a, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x423ed0c1, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x86b4ad0d, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x9eb8b82d, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x30cec2eb, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xb4083ce0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf5f68b4a, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x69acdf38, "memcpy" },
	{ 0x39752be5, "trace_event_buffer_reserve" },
	{ 0x801f2afa, "trace_event_buffer_commit" },
	{ 0x422a8b51, "__trace_trigger_soft_disabled" },
	{ 0x1ade1648, "trace_raw_output_prep" },
	{ 0x4053fcb8, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x498cb9a7, "bpf_trace_run5" },
	{ 0x52909e9e, "bpf_trace_run4" },
	{ 0xe2dbf0d2, "bpf_trace_run3" },
	{ 0x50541bec, "bpf_trace_run6" },
	{ 0x47bf4205, "dev_set_name" },
	{ 0xa8132f42, "device_add" },
	{ 0xb7f6935e, "__dynamic_dev_dbg" },
	{ 0x1d066200, "_dev_err" },
	{ 0xa4373869, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8e01bf, "__pm_runtime_set_status" },
	{ 0x9a1f7019, "pm_runtime_enable" },
	{ 0xc6ab33f2, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xb6dfa7b2, "device_match_of_node" },
	{ 0x28d49e0d, "bus_find_device" },
	{ 0x761087bd, "driver_register" },
	{ 0x58afe94f, "bus_unregister" },
	{ 0xa50b6ab1, "bus_register" },
	{ 0x8427c5ab, "device_for_each_child" },
	{ 0x156c0354, "device_del" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7886b7c, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x37cd9ee5, "put_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf3aa976, "kmalloc_caches" },
	{ 0xd9879d66, "__kmalloc_cache_noprof" },
	{ 0x7490b810, "__pm_runtime_resume" },
	{ 0x7bb6d1d8, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5bbce9b, "trace_event_reg" },
	{ 0x6c12a6d4, "trace_event_raw_init" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");
