#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sc16is74x_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is750_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is752_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is760_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is762_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_probe, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_remove, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_dt_ids, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_regcfg, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_name, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_port_mask, "_gpl", "SERIAL_NXP_SC16IS7XX");

SYMBOL_CRC(sc16is74x_devtype, 0x561783a9, "_gpl");
SYMBOL_CRC(sc16is750_devtype, 0x1af41b3d, "_gpl");
SYMBOL_CRC(sc16is752_devtype, 0x1e01cb00, "_gpl");
SYMBOL_CRC(sc16is760_devtype, 0x83167d3c, "_gpl");
SYMBOL_CRC(sc16is762_devtype, 0x87e3ad01, "_gpl");
SYMBOL_CRC(sc16is7xx_probe, 0xa3b0cfad, "_gpl");
SYMBOL_CRC(sc16is7xx_remove, 0x48a9b1cd, "_gpl");
SYMBOL_CRC(sc16is7xx_dt_ids, 0x97b77680, "_gpl");
SYMBOL_CRC(sc16is7xx_regcfg, 0x8e200701, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_name, 0xe64f5280, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_port_mask, 0x01e26f72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x558bc2d0, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd37862b9, "uart_handle_cts_change" },
	{ 0xb7e3392b, "uart_handle_dcd_change" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6e1c905a, "uart_get_baud_rate" },
	{ 0x94c8143a, "uart_update_timeout" },
	{ 0xb9c0948e, "devm_kmalloc" },
	{ 0xb7f5332e, "device_property_read_u32_array" },
	{ 0x3a6d197b, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xfb3ad349, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xc825e6d1, "kthread_create_on_node" },
	{ 0x5f14a7c, "wake_up_process" },
	{ 0x1cb1f871, "sched_set_fifo" },
	{ 0x53dd03fc, "devm_gpiod_get_optional" },
	{ 0x7e166e36, "gpiod_set_value_cansleep" },
	{ 0xfb578fc5, "memset" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1b94676a, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6331c9e, "uart_add_one_port" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xad223702, "gpiochip_add_data_with_key" },
	{ 0x60fb5ad0, "devm_request_threaded_irq" },
	{ 0xb7f6935e, "__dynamic_dev_dbg" },
	{ 0x8327b11, "dev_err_probe" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1d066200, "_dev_err" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0xbe36f8ab, "regmap_noinc_write" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x223c5eec, "uart_write_wakeup" },
	{ 0x46137714, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x741f7a0b, "uart_insert_char" },
	{ 0x1d8ff504, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x7a9a371, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6413688, "do_SAK" },
	{ 0x7dd6b053, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaaa36f1a, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38da413f, "kthread_queue_work" },
	{ 0x6f87e763, "kthread_queue_delayed_work" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x597f2f83, "regmap_write" },
	{ 0xa985e031, "regcache_cache_bypass" },
	{ 0xcc63957c, "gpiochip_get_data" },
	{ 0x5df14c16, "uart_register_driver" },
	{ 0x6f384179, "uart_unregister_driver" },
	{ 0xe39d9bd8, "kthread_cancel_delayed_work_sync" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5577df92, "uart_remove_one_port" },
	{ 0xd73d1e69, "regmap_update_bits_base" },
	{ 0x5650c370, "kthread_flush_worker" },
	{ 0x7b0643b7, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcacf0ec1, "gpiochip_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe8d9b755, "nbcon_device_try_acquire" },
	{ 0x10116f7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "869908A1EC9AF320EE1AAA4");
